RHEL 4/5 버전에서 yum 사용하기

 

 

1.소개

 

Centos에서는 yum으로 의존성 문제가 있는 라이브러리를 손쉽게 설치할 수 있었는데 RHEL4/5버전에는 yum을 사용할 수 없다.

하지만 아래와 방법으로 손쉽게 사용할 수 있으니..

* 참고로 yum 설치 파일은 Redhat CD 암만 뒤져도 없다. 그러니 그냥 아래에서 다운로드 받거나 또는 검색해서 다운로드 하자.

 

2. yum 설치를 위한 필수 다운로드

 

 

libsqlite-3.2.1-1.i386.rpm

 

python-elementtree-1.2.6-7.el4.rf.i386.rpm

 

python-sqlite-0.5.0-1.2.el4.rf.i386.rpm

 

python-urlgrabber-2.9.6-1.2.el4.rf.noarch.rpm

 

sqlite2-2.8.17-2.el4.remi.i386.rpm

 

yum-2.4.2-0.4.el4.rf.noarch.rpm

 

 

3. 관련 패키지 설치

 

설치 순서는 가능하면 아래의 순서대로 진행

그렇지 않으면 설치중 종속성 문제가 발생됨

 

rpm -i libsqlite-3.2.1-1.i386.rpm
rpm -i sqlite2-2.8.17-2.el4.remi.i386.rpm
rpm -i python-elementtree-1.2.6-7.el4.rf.i386.rpm
rpm -i python-sqlite-0.5.0-1.2.el4.rf.i386.rpm
rpm -i python-urlgrabber-2.9.6-1.2.el4.rf.noarch.rpm
rpm -i yum-2.4.2-0.4.el4.rf.noarch.rpm

 

 

4. yum 환경 설정

 

 *아래의 내용을 추가해되 붉은 글씨 4.5의 내용은 사용자 환경에 맞춰서 수정하자.!

 

# cat /etc/redhat-release 명령어 확인 가능
Red Hat Enterprise Linux ES release 4 (Nahant Update 5)
 

 #vi /etc/yum.repos.d/RedHat-Base.repo

 

[base]

name=CentOS-$releasever - Base

baseurl=http://vault.centos.org/4.5/os/$basearch/

gpgcheck=1


[update]

name=CentOS-$releasever - Updates

baseurl=http://vault.centos.org/4.5/updates/$basearch/

gpgcheck=1

 

설치끝. 실제로 yum 명령어를 통해 사용해보자

 

 

5. yum install 명령어중 다음과 같은 오류 메시지 발생시

 

 

오류 메시지 

Downloading Packages:

warning: rpmts_HdrFromFdno: V3 DSA signature: NOKEY, key ID 443e1821

Public key for glibc-headers-2.3.4-2.36.i386.rpm is not installed

 

해결방법 설치된 OS 버전에 맞는 rpm 주소를 추가 한다.

본인의 경우 RHEL 4.5 버전이므로 rpm --import http://mirror.centos.org/centos/RPM-GPG-KEY-CentOS-4

명령어만 사용했다.

 

버전에 맞도록 3가지중 선택

# rpm --import http://mirror.centos.org/centos/RPM-GPG-KEY-CentOS-4

# rpm --import http://mirror.centos.org/centos/RPM-GPG-KEY-CentOS-3

# rpm --import http://mirror.centos.org/centos/RPM-GPG-KEY-CentOS-5

 

 


 

  1. 엘명 2013.07.20 10:46 신고

    근데~ 아무댓글이 없네요ㅎㅎ 성공했는데 ~~ 감사합니다 덕분에 yum설치 했습니다 ^^